Subject: Re: [abfab] AD review of draft-ietf-abfab-use-cases

From: Rhys Smith <[email-masked]>
Date: Wed, 15 Aug 2012 15:54:38 +0100

Comments inline:

> 1. In general there are a number of times where this document
> seems to be wishful thinking. I think it'd be better if you
> reduced it to the more concrete use-cases where implementation is
> actually planned and where you can be more authoritative about
> how abfab will be beneficial. Sections 3.5 and 3.9 in particular
> seem weak to me and the document might be better if they were
> deleted - would you really miss them?

Think this has been dealt with in subsequent discussions and opinions on the list. I personally am happy with there being a mix of concrete use cases and a few more aspirational ones. Doesn't hurt to be aspirational, as long as that's not all you are...

> 2. ID nits says:
> 
>  -- Obsolete informational reference (is this intentional?): RFC
>     2060 (Obsoleted by RFC 3501)
> 
>  -- Obsolete informational reference (is this intentional?): RFC
>     2821 (Obsoleted by RFC 5321)
> 
>  -- No information found for draft-freeman-plasma-requirements -
>     is the name correct?
> 
> Looks like these should be updated as noted in the writeup.

Fixed.

> 3. Please expand CRM on 1st use

Done.

> 4. Maybe move the reference to SSH to the end of 3.1, from the
> start of 3.2, or ideally provide a reference to an "abfab-enabled
> SSH" if you have one. (And say "secure shell (SSH)" on 1st use.)

Done.

> 5. 2nd last para of 3.3 could do with some references really.

Don't know of anywhere this is written down well enough to reference; this is from well-known operational experience. Happy to add a reference if anyone has one… ?

> 6. The argument in 3.3 that grid admin complexity is really due
> to X.509 seems weak to me.  I'd expect you to get comments about
> that.  And replacing the entire VO thing would be a large task.
> It'd be better if you had a very specific use-case here I think
> rather than being so general.

The issue isn't really that X.509 makes grid admin complex, but rather that it makes the user experience complex. I think we'd have a hard time finding anyone who would be willing to argue that point…

> 7. Its not clear to me how abfab helps in 3.5 - I think you'd
> maybe need to say some more about how that'd work.
> 
> 8. 3.9: is it "smart object" or "smart device" just using one
> marketing term would be better (zero even moreso;-)
> 
> 9. 3.9 seems quite far-fetched to me. Do you really expect
> sensors to use gss-eap?

Think these have been addressed in other comments.